# Check people and companies against the suppression list

### Check people and companies against the suppression list

`POST /api/v1/suppressions/check`

Operation ID: `checkSuppressions`

identity accepts the same forms as leads: a LinkedIn public identifier, /in/ path, profile URL, or user id; or an Instagram username, @handle, or profile URL.

**Request body** (required)

- `identities` (object[], required)

**200**: Match results.

- `results` (object[], required)
- `requestId` (string · uuid, required): Id of this request, for support and troubleshooting

**Errors**

- `400`: Bad request
- `401`: Unauthorized: missing or invalid API key
- `403`: Forbidden
- `404`: Not found
- `422`: Invalid request payload
